SuperLU 6.0.0

Data Fields
GlobalLU_t Struct Reference

`#include <slu_util.h>`

Collaboration diagram for GlobalLU_t:
[legend]

## Data Fields
int * | xsup
int * | supno
int_t * | lsub
int_t * | xlsub
void * | lusup
int_t * | xlusup
void * | ucol
int_t * | usub
int_t * | xusub
int_t | nzlmax
int_t | nzumax
int_t | nzlumax
int | n
LU_space_t | MemModel
int | num_expansions
ExpHeader * | expanders
LU_stack_t | stack

## Field Documentation

## ◆ expanders

ExpHeader* GlobalLU_t::expanders

## ◆ lsub

int_t* GlobalLU_t::lsub

## ◆ lusup

void* GlobalLU_t::lusup

## ◆ MemModel

LU_space_t GlobalLU_t::MemModel

## ◆ n

int GlobalLU_t::n

## ◆ num_expansions

int GlobalLU_t::num_expansions

## ◆ nzlmax

int_t GlobalLU_t::nzlmax

## ◆ nzlumax

int_t GlobalLU_t::nzlumax

## ◆ nzumax

int_t GlobalLU_t::nzumax

## ◆ stack

LU_stack_t GlobalLU_t::stack

## ◆ supno

int* GlobalLU_t::supno

## ◆ ucol

void* GlobalLU_t::ucol

## ◆ usub

int_t* GlobalLU_t::usub

## ◆ xlsub

int_t* GlobalLU_t::xlsub

## ◆ xlusup

int_t* GlobalLU_t::xlusup

## ◆ xsup

int* GlobalLU_t::xsup

## ◆ xusub

int_t* GlobalLU_t::xusub

The documentation for this struct was generated from the following file:

- SRC/slu_util.h